// ------------------------------ range.c ------------------------------
/*
    LibCapy - a general purpose library of C functions and data structures
    Copyright (C) 2021-2024 Pascal Baillehache baillehache.pascal@gmail.com
    https://baillehachepascal.dev
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
#include "range.h"

// Definition of ranges for basic types
CapyDefRange(UInt8, uint8_t)
CapyDefRange(Int8, int8_t)
CapyDefRange(UInt16, uint16_t)
CapyDefRange(Int16, int16_t)
CapyDefRange(UInt32, uint32_t)
CapyDefRange(Int32, int32_t)
CapyDefRange(UInt64, uint64_t)
CapyDefRange(Int64, int64_t)
CapyDefRange(Size, size_t)
CapyDefRange(Float, float)
CapyDefRange(Double, double)
